summaryrefslogtreecommitdiffstats
path: root/testing/source/wpa_supplicant/wpa_supplicant.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'testing/source/wpa_supplicant/wpa_supplicant.SlackBuild')
-rwxr-xr-xtesting/source/wpa_supplicant/wpa_supplicant.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/testing/source/wpa_supplicant/wpa_supplicant.SlackBuild b/testing/source/wpa_supplicant/wpa_supplicant.SlackBuild
index c248c1300..492ddb722 100755
--- a/testing/source/wpa_supplicant/wpa_supplicant.SlackBuild
+++ b/testing/source/wpa_supplicant/wpa_supplicant.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=wpa_supplicant
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
SRCVERSION=$(printf $VERSION | tr _ -)
@@ -92,6 +92,9 @@ zcat $CWD/patches/wpa_supplicant-gui-qt4.patch.gz | patch -p1 --verbose || exit
zcat $CWD/patches/wpa_supplicant-quiet-scan-results-message.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/patches/wpa_supplicant-2.7-fix-undefined-remove-ie.patch.gz | patch -p1 --verbose || exit 1
+# Allow legacy tls to avoid breaking WPA2-Enterprise:
+zcat $CWD/patches/allow-tlsv1.patch.gz | patch -p1 --verbose || exit 1
+
cd wpa_supplicant
# Create the configuration file for building wpa_supplicant: